> For the complete documentation index, see [llms.txt](https://docs.goproxies.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.goproxies.com/proxies/faq/general-questions/how-to-check-usage-traffic-of-the-sub-user.md).

# How to check usage traffic of the sub-user?

To check statistics of your sub-users, firstly you would need to log into GoProxies API and receive auth token. You can use the same token in the place of `{YOUR_TOKEN}`, as you got from this [login step](/proxies/faq/general-questions/how-to-login-into-goproxies-api-and-list-your-current-sub-users.md#how-to-login-into-goproxies-api) .

Below you will find an example of how the request should look like:

```shellscript
curl -X GET "https://api.goproxies.com/api/v1/stats/traffic?country=US&start_at=2025-01-27T23:59:59Z&end_at=2025-02-27T23:59:59Z&username=MY_USER" \
     -H "Authorization: Bearer {YOUR_TOKEN}"
```

You can edit `country=US` to a country that you require or completely remove it, if you want to include all countries for the statistics.

`start_at= and` end\_at= they need a value of the start and end date, example as shown: 2025-01-27T23:59:59Z (if nothing is specified in both fields, it will show traffic for the current month)

`username=` you need to enter your sub-user username in place of "MY\_USER", if you want to see traffic of all the subusers combined, don't specify this header.

Link to GoProxies API TrafficStats:\
<https://api.goproxies.com/swagger/resellers/ui/#/Statistics/getTrafficStats>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.goproxies.com/proxies/faq/general-questions/how-to-check-usage-traffic-of-the-sub-user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
